Class DocsUsersListBuilder

java.lang.Object
com.dropbox.core.v2.paper.DocsUsersListBuilder

public class DocsUsersListBuilder extends Object
The request builder returned by DbxUserPaperRequests.docsUsersListBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withLimit

      public DocsUsersListBuilder withLimit(Integer limit)
      Set value for optional field.

      If left unset or set to null, defaults to 1000.

      Parameters:
      limit - Size limit per batch. The maximum number of users that can be retrieved per batch is 1000. Higher value results in invalid arguments error. Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to 1000 when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withFilterBy

      public DocsUsersListBuilder withFilterBy(UserOnPaperDocFilter filterBy)
      Set value for optional field.

      If left unset or set to null, defaults to UserOnPaperDocFilter.SHARED.

      Parameters:
      filterBy - Specify this attribute if you want to obtain users that have already accessed the Paper doc. Must not be null. Defaults to UserOnPaperDocFilter.SHARED when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • start

      Issues the request.
      Throws:
      DocLookupErrorException
      DbxException